Skip to content
Start here

Change Cache Reserve setting

client.cache.cacheReserve.edit(CacheReserveEditParams { zone_id, value } params, RequestOptionsoptions?): CacheReserveEditResponse { id, editable, value, modified_on }
PATCH/zones/{zone_id}/cache/cache_reserve

Increase cache lifetimes by automatically storing all cacheable files into Cloudflare's persistent object storage buckets. Requires Cache Reserve subscription. Note: using Tiered Cache with Cache Reserve is highly recommended to reduce Reserve operations costs. See the developer docs for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Write
ParametersExpand Collapse
params: CacheReserveEditParams { zone_id, value }
zone_id: string

Path param: Identifier.

maxLength32
value: "on" | "off"

Body param: Value of the Cache Reserve zone setting.

One of the following:
"on"
"off"
ReturnsExpand Collapse
CacheReserveEditResponse { id, editable, value, modified_on }
id: CacheReserve { }

The identifier of the caching setting.

editable: boolean

Whether the setting is editable.

value: "on" | "off"

Value of the Cache Reserve zone setting.

One of the following:
"on"
"off"
modified_on?: string | null

Last time this setting was modified.

formatdate-time

Change Cache Reserve setting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.cache.cacheReserve.edit({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  value: 'on',
});

console.log(response.id);
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "on"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1153,
      "message": "Cache Reserve cannot be enabled because a deletion is already in progress."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "on"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1153,
      "message": "Cache Reserve cannot be enabled because a deletion is already in progress."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}